#include <bits/stdc++.h>
using namespace std;
int a[1005][10005], mn[1005], mx[1005];
vector<int> Nadji(int n, int k){
    if(n*n==k){
        for(int i=1; i<=n; ++i)
            for(int j=1; j<=n; ++j)
                a[i][j]=Pitaj(i,j);
        for(int i=1; i<=n; ++i){
            mx[i]=a[i][1];
            for(int j=2; j<=n; ++j){
                if(a[i][j]>mx[i]) mx[i]=a[i][j];
            }
        }
        for(int j=1; j<=n; ++j){
            mn[j]=a[1][j];
            for(int i=2;i<=n;++i){
                if(a[i][j]<mn[j]) mn[j]=a[i][j];
            }
        }
        for(int i=1; i<=n; ++i){
            for(int j=1; j<=n;++j){
                if(a[i][j]==mn[j] && mn[j]=mx[i]){
                    vector<int> v;
                    v.push_back(i);
                    v.push_back(j);
                    return v;
                }
            }
        }
    }
    vector <int> v;
    v.push_back(0);v.push_back(0);
    return v;
}